<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--
	Generate a warning if any node contains more than 1 attribute
-->
 <xsl:template match="node()">
  <!-- xsl nodes can contain multiple attributes -->
  <xsl:if test="not(starts-with(name(),'xsl:'))">
   <xsl:if test="count(@*)>1">
    <xsl:message terminate = "no">
    <xsl:value-of select="name()"/> tag contains <xsl:value-of select="count(@*)"/> attributes</xsl:message>
   </xsl:if>
  </xsl:if>
  <xsl:apply-templates/>
 </xsl:template>

</xsl:stylesheet>
